Package com.github.lgooddatepicker.durationpicker_underconstruction

# Class DurationConverterSettings

java.lang.Object
com.github.lgooddatepicker.durationpicker_underconstruction.DurationConverterSettings

public class DurationConverterSettings extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`hoursCanUseThirtyMinuteDecimals`
`int`
`hoursMaximumValueForDecimalsInSeconds`
`DurationUnit`
`largestUsedUnit`
`HashMap<DurationUnit,Boolean>`
`pluralUnitsMap`
`DurationUnit`
`smallestUsedUnit`
`HashMap<DurationUnit,ArrayList<String>>`
`translationsParsingPrefixes`
`HashMap<DurationUnit,String>`
`translationsUnitsPlural`
`HashMap<DurationUnit,String>`
`translationsUnitsSingular`

## Constructor Summary

Constructors
Constructor
Description
`DurationConverterSettings()`
`DurationConverterSettings(Locale locale)`

## Method Summary

Modifier and Type
Method
Description
`HashMap<DurationUnit,Boolean>`
`getSimplePluralUnitsMap(boolean settingForAllUnits)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### smallestUsedUnit

public DurationUnit smallestUsedUnit

### largestUsedUnit

public DurationUnit largestUsedUnit

### pluralUnitsMap

public HashMap<DurationUnit,Boolean> pluralUnitsMap

### hoursCanUseThirtyMinuteDecimals

public boolean hoursCanUseThirtyMinuteDecimals

### hoursMaximumValueForDecimalsInSeconds

public int hoursMaximumValueForDecimalsInSeconds

### translationsUnitsSingular

public HashMap<DurationUnit,String> translationsUnitsSingular

### translationsUnitsPlural

public HashMap<DurationUnit,String> translationsUnitsPlural

### translationsParsingPrefixes

public HashMap<DurationUnit,ArrayList<String>> translationsParsingPrefixes

## Constructor Details

### DurationConverterSettings

public DurationConverterSettings()

### DurationConverterSettings

public DurationConverterSettings(Locale locale)

## Method Details

### getSimplePluralUnitsMap

public HashMap<DurationUnit,Boolean> getSimplePluralUnitsMap(boolean settingForAllUnits)